
From: Ingo Molnar <mingo@elte.hu>

The remove-bkl patch is looking good so far.  The patch below extends its
reach by enabling it everywhere where the BKL is used, i.e.  not only on
PREEMPT (UP or SMP) but on !PREEMPT+SMP kernels too.

I have test-compiled and test-booted x86 and x64 on SMP+!PREEMPT,
everything is working fine (as expected).

Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/Kconfig   |    2 +-
 25-akpm/arch/x86_64/Kconfig |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/Kconfig~enable-preempt_bkl-on-smp-too arch/i386/Kconfig
--- 25/arch/i386/Kconfig~enable-preempt_bkl-on-smp-too	2004-10-21 14:54:34.036749120 -0700
+++ 25-akpm/arch/i386/Kconfig	2004-10-21 14:54:34.041748360 -0700
@@ -515,7 +515,7 @@ config PREEMPT
 
 config PREEMPT_BKL
 	bool "Preempt The Big Kernel Lock"
-	depends on PREEMPT
+	depends on PREEMPT || SMP
 	default y
 	help
 	  This option reduces the latency of the kernel by making the
diff -puN arch/x86_64/Kconfig~enable-preempt_bkl-on-smp-too arch/x86_64/Kconfig
--- 25/arch/x86_64/Kconfig~enable-preempt_bkl-on-smp-too	2004-10-21 14:54:34.038748816 -0700
+++ 25-akpm/arch/x86_64/Kconfig	2004-10-21 14:54:34.167729208 -0700
@@ -246,7 +246,7 @@ config PREEMPT
 
 config PREEMPT_BKL
 	bool "Preempt The Big Kernel Lock"
-	depends on PREEMPT
+	depends on PREEMPT || SMP
 	default y
 	help
 	  This option reduces the latency of the kernel by making the
_
